
var fadeFontSize = 16;

document.onreadystatechange = function()
{
	if(document.readyState == "complete")
	{
		try 
		{
			// Gadget code
			System.Gadget.settingsUI = "settings.html";
			System.Gadget.onSettingsClosed = SettingsClosed;
		}
		catch(err)
		{
		}
		init();
		setUpdateTimeout();
	}
}


function init()
{
     
    var root = document.getElementById("rootdiv");
    //Remove all child nodes (icons)
    if ( root.hasChildNodes() )
    {
        while ( root.firstChild )
        {
            root.removeChild(root.firstChild);       
        } 
    }

    generateContents(root); 

    setSize();
}

var timeoutID = 232323;

function setUpdateTimeout()
{
    setUpdateTimeout2(0);
}

function setUpdateTimeout2(seconds)
{
    clearInterval(timeoutID);
    if(seconds == 0)
        seconds = getSetting("Updateinterval",defaultUpdateinterval);
    timeoutID = setInterval(refresh, seconds*1000);
}

function refresh()
{
    var img = document.getElementById("img_radar");
    //img_radar.style.width = 134;
    //img_radar.style.height = 100;
	img.src= "http://www.dmi.dk/dmi/index/danmark/radaranim2.gif?" + Math.random();
}

// Declare the dock and undock event handlers.
System.Gadget.onDock = dockStateChanged;
System.Gadget.onUndock = dockStateChanged;

// called when the docked state changes
function dockStateChanged()
{
    setSize();
}

function setSize()
{    
    document.body.style.width = "134px"; //maximum recomended is 130px
    document.body.style.height = "100px"; //4:3 format
    
    document.getElementById("img_radar").style.width = document.body.style.width;
    document.getElementById("img_radar").style.height = document.body.style.height;
    document.getElementById("backgrounddiv").style.width = document.body.style.width;
    document.getElementById("backgrounddiv").style.height = document.body.style.height;
}

function showHideFlyout()
{
    if(document.getElementById("loading").style.display == "block")
    {
        document.getElementById("loadingtext").innerHTML = "Retrying...";
        setTimeout("refresh();",100);
        return;
    }

    if( ! System.Gadget.Flyout.show)
    {
        System.Gadget.Flyout.file = "Flyout.html";      
        System.Gadget.Flyout.show = true;
    }
    else
    {
        System.Gadget.Flyout.show = false;
    }
}

function generateContents(element)
{   
    var img_radar = document.createElement('img');
    img_radar.src = "http://www.dmi.dk/dmi/index/danmark/radaranim2.gif?" + Math.random();
    img_radar.onerror = enterConnectingState;
    img_radar.onload = enterNormalState;
    img_radar.id = "img_radar";
               
    element.appendChild(img_radar);
}

var normalState = false;

function enterConnectingState()
{
    document.getElementById("loading").style.display = "block";
    document.getElementById("loadingtext").innerHTML = "Connecting...";
    this.style.display = "none";
    setUpdateTimeout2(20);//update every 20 seconds...
    normalState = false;
}

function enterNormalState()
{
    if(!normalState)
    {
        document.getElementById("loading").style.display = "none";
        this.style.display = "block";
        setUpdateTimeout();
        normalState = true;
    }
}

function SettingsClosed(event) {
    // User hits OK on the settings page.
    if (event.closeAction == event.Action.commit)
    {
		init();
		setUpdateTimeout();
    }
    // User hits Cancel on the settings page.
    else if (event.closeAction == event.Action.cancel)
    {
    	
    }
}